nv_std::integral_constant< value_t, V > Struct Template Reference

std::integral_constant

`#include <nv_std.h>`

Inheritance diagram for nv_std::integral_constant< value_t, V >:

## Public Types

typedef value_t | value_type
typedef integral_constant< value_t, V > | type

## Public Member Functions

CUTLASS_HOST_DEVICE | operator value_type () const
CUTLASS_HOST_DEVICE const value_type | operator() () const

## Static Public Attributes

static const value_t | value = V

## Member Typedef Documentation

## type

template<typename value_t, value_t V>

typedef integral_constant<value_t, V> nv_std::integral_constant< value_t, V >::type

## value_type

template<typename value_t, value_t V>

typedef value_t nv_std::integral_constant< value_t, V >::value_type

## Member Function Documentation

## operator value_type()

template<typename value_t, value_t V>

CUTLASS_HOST_DEVICE nv_std::integral_constant< value_t, V >::operator value_type | ( |  | ) | const

inline

## operator()()

template<typename value_t, value_t V>

CUTLASS_HOST_DEVICE const value_type nv_std::integral_constant< value_t, V >::operator() | ( |  | ) | const

inline

## Member Data Documentation

## value

template<typename value_t, value_t V>

const value_t nv_std::integral_constant< value_t, V >::value = V

static

The documentation for this struct was generated from the following file:

- nv_std.h